Skip to main content
POST
/
action
/
company_research_v2_start_research
[CR1] Start Company Research
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/company_research_v2_start_research \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>",
  "output_variable_name": "research_result",
  "force_refresh": false
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
domain
string
required

Domain of the company to research (e.g., hubspot.com).

output_variable_name
string
default:research_result
required

Variable name for the result. Access report_id with {{research_result.report_id}}.

Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
force_refresh
boolean
default:false

Skip cache and regenerate the report.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action